org.apache.xmlbeans.impl.xb.xsdschema

## Interface ImportDocument.Import

All Superinterfaces:
  Annotated, OpenAttrs, XmlObject, XmlTokenSource

All Known Implementing Classes:
  ImportDocumentImpl.ImportImpl

Enclosing interface:
  ImportDocument

    public static interface ImportDocument.Import
    extends Annotated

An XML import(@http://www.w3.org/2001/XMLSchema). This is a complex type.

### Field Summary

Fields
`static ElementFactory<ImportDocument.Import>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getNamespace()` Gets the "namespace" attribute
`String` `getSchemaLocation()` Gets the "schemaLocation" attribute
`boolean` `isSetNamespace()` True if has "namespace" attribute
`boolean` `isSetSchemaLocation()` True if has "schemaLocation" attribute
`void` `setNamespace(String namespace)` Sets the "namespace" attribute
`void` `setSchemaLocation(String schemaLocation)` Sets the "schemaLocation" attribute
`void` `unsetNamespace()` Unsets the "namespace" attribute
`void` `unsetSchemaLocation()` Unsets the "schemaLocation" attribute
`XmlAnyURI` `xgetNamespace()` Gets (as xml) the "namespace" attribute
`XmlAnyURI` `xgetSchemaLocation()` Gets (as xml) the "schemaLocation" attribute
`void` `xsetNamespace(XmlAnyURI namespace)` Sets (as xml) the "namespace" attribute
`void` `xsetSchemaLocation(XmlAnyURI schemaLocation)` Sets (as xml) the "schemaLocation" attribute

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

`addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final ElementFactory<ImportDocument.Import> Factory

#### type

    static final SchemaType type

### Method Detail

#### getNamespace

    String getNamespace()

Gets the "namespace" attribute

#### xgetNamespace

    XmlAnyURI xgetNamespace()

Gets (as xml) the "namespace" attribute

#### isSetNamespace

    boolean isSetNamespace()

True if has "namespace" attribute

#### setNamespace

    void setNamespace(String namespace)

Sets the "namespace" attribute

#### xsetNamespace

    void xsetNamespace(XmlAnyURI namespace)

Sets (as xml) the "namespace" attribute

#### unsetNamespace

    void unsetNamespace()

Unsets the "namespace" attribute

#### getSchemaLocation

    String getSchemaLocation()

Gets the "schemaLocation" attribute

#### xgetSchemaLocation

    XmlAnyURI xgetSchemaLocation()

Gets (as xml) the "schemaLocation" attribute

#### isSetSchemaLocation

    boolean isSetSchemaLocation()

True if has "schemaLocation" attribute

#### setSchemaLocation

    void setSchemaLocation(String schemaLocation)

Sets the "schemaLocation" attribute

#### xsetSchemaLocation

    void xsetSchemaLocation(XmlAnyURI schemaLocation)

Sets (as xml) the "schemaLocation" attribute

#### unsetSchemaLocation

    void unsetSchemaLocation()

Unsets the "schemaLocation" attribute